Mail archive
alpine-aports

[alpine-aports] [PATCH] main/haproxy: version bump to 1.5.11

From: Nathan Angelacos <nangel_at_alpinelinux.org>
Date: Thu, 12 Feb 2015 20:12:05 +0000

Note: haproxy now requires openssl as it supports SNI
---
 main/haproxy/APKBUILD               | 29 ++++++-------
 main/haproxy/haproxy.cfg            |  2 +-
 main/haproxy/haproxy.pre-install    | 13 +++++-
 main/haproxy/haproxy.pre-upgrade    |  2 +-
 testing/haproxy/APKBUILD            | 40 -----------------
 testing/haproxy/haproxy.cfg         | 86 -------------------------------------
 testing/haproxy/haproxy.initd       | 54 -----------------------
 testing/haproxy/haproxy.pre-install | 12 ------
 testing/haproxy/haproxy.pre-upgrade | 12 ------
 9 files changed, 28 insertions(+), 222 deletions(-)
 mode change 120000 => 100644 main/haproxy/haproxy.pre-install
 delete mode 100644 testing/haproxy/APKBUILD
 delete mode 100644 testing/haproxy/haproxy.cfg
 delete mode 100644 testing/haproxy/haproxy.initd
 delete mode 100644 testing/haproxy/haproxy.pre-install
 delete mode 100644 testing/haproxy/haproxy.pre-upgrade
diff --git a/main/haproxy/APKBUILD b/main/haproxy/APKBUILD
index 77c0341..0921060 100644
--- a/main/haproxy/APKBUILD
+++ b/main/haproxy/APKBUILD
_at_@ -1,41 +1,40 @@
 # Contributor: Jeff Bilyk <jbilyk_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=haproxy
-pkgver=1.4.25
+pkgver=1.5.11
 pkgrel=0
 pkgdesc="A TCP/HTTP reverse proxy for high availability environments"
 url="http://haproxy.1wt.eu"
 arch="all"
-license="GPL2+"
+license="GPL"
 depends=""
-makedepends="pcre-dev"
+makedepends="pcre-dev openssl-dev linux-headers"
 install="haproxy.pre-install haproxy.pre-upgrade"
 subpackages="$pkgname-doc"
-source="http://haproxy.1wt.eu/download/${pkgver%.*}/src/$pkgname-$pkgver.tar.gz
+source="http://haproxy.1wt.eu/download/1.5/src/$pkgname-$pkgver.tar.gz
 	haproxy.initd
 	haproxy.cfg"
 
-_builddir="$srcdir"/$pkgname-$pkgver
 build() {
-	cd "$_builddir"
-	make TARGET=linux2628 USE_PCRE=1 CFLAGS="$CFLAGS" || return 1
+	cd "$srcdir/$pkgname-$pkgver"
+	make TARGET=linux2628 USE_PCRE=1 USE_OPENSSL=1 CFLAGS="$CFLAGS" || return 1
 }
 
 package() {
-	cd "$_builddir"
+	cd "$srcdir/$pkgname-$pkgver"
 	make DESTDIR="$pkgdir" PREFIX=/usr DOCDIR=/usr/share/doc/haproxy \
-		install || return 1
+		install
 	install -d "$pkgdir"/var/lib/haproxy
 	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
 	install -m644 -D "$srcdir"/haproxy.cfg "$pkgdir"/etc/haproxy/haproxy.cfg
 }
 
-md5sums="74b5ec1f0f9b4d148c8083bcfb512ccd  haproxy-1.4.25.tar.gz
+md5sums="5500a79d0d2b238d4a1e9749bd0c2cb2  haproxy-1.5.11.tar.gz
 81319456a35408bf47443e9c314d2e94  haproxy.initd
-1f337186b0e1ba5ee82760cb437fb810  haproxy.cfg"
-sha256sums="84408ec1e37bf308c6b45ae3c7e66f2a9d2f762cb689ab6d322c67bba691db62  haproxy-1.4.25.tar.gz
+463f00b30bfb002750d5c5549382365f  haproxy.cfg"
+sha256sums="8b5aa462988405f09c8a6169294b202d7f524a5450a02dd92e7c216680f793bf  haproxy-1.5.11.tar.gz
 d0b91b3566768c40cfeb3b304d66728111d9b97d5c149d88589371c1bc4c6ba0  haproxy.initd
-f4bd999341356641fa8520e8ffc4dc6f2c39d93b00d50590745406e9482ecfed  haproxy.cfg"
-sha512sums="c3424151309be5eea761ff02b29a0e54bd34f5fcb4087e8b99fb2f4cde17bbc3caf07b6cb41ae5a2606325f8a950a06c4683ceb04c05fd6ebf0177326030bca9  haproxy-1.4.25.tar.gz
+7e3c03acb9a41e21e21059da609e694e6dd952d9a37297bd39cad37680af213f  haproxy.cfg"
+sha512sums="10ac569fb06efe158e9ba9e9651f110d86f362d4e9fd032d50ff403b0382825764223dccdac1b5f6ee13e4f6ca63cf92c6d0f4408c1313ac9db07214646a9738  haproxy-1.5.11.tar.gz
 cb13279374006b1a6302f865f82defbaa6256aed424fb12da53a9459a1a96c6f9470b8156985a177a13bda4a74e7b0cd448666564f6a59cdeb589537580f4b64  haproxy.initd
-f11f70b2e45279090783cf1959e26dff7f2d055c052680aea89c2a4c93acdd0f5e39dea7673d811c9209510f26ec413114ec54811cc2a8bdc82dff8a6282e327  haproxy.cfg"
+89d1366352af9cc7cb338779341d460606e2e3cfe9e4f7d5169af46680accb07035fab9a4bbb87dfbe383bb146e8e4d1e95a29e3d36ff64e97603a317a0b1b78  haproxy.cfg"
diff --git a/main/haproxy/haproxy.cfg b/main/haproxy/haproxy.cfg
index 324ad5e..6f635e8 100644
--- a/main/haproxy/haproxy.cfg
+++ b/main/haproxy/haproxy.cfg
_at_@ -2,7 +2,7 @@
 # Example configuration for a possible web application.  See the
 # full configuration options online.
 #
-#   http://haproxy.1wt.eu/download/1.4/doc/configuration.txt
+#   http://haproxy.1wt.eu/download/1.5/doc/configuration.txt
 #
 #---------------------------------------------------------------------
 
diff --git a/main/haproxy/haproxy.pre-install b/main/haproxy/haproxy.pre-install
deleted file mode 120000
index a5f553d..0000000
--- a/main/haproxy/haproxy.pre-install
+++ /dev/null
_at_@ -1 +0,0 @@
-haproxy.pre-upgrade
\ No newline at end of file
diff --git a/main/haproxy/haproxy.pre-install b/main/haproxy/haproxy.pre-install
new file mode 100644
index 0000000..33e0164
--- /dev/null
+++ b/main/haproxy/haproxy.pre-install
_at_@ -0,0 +1,12 @@
+#!/bin/sh
+
+addgroup haproxy 2>/dev/null
+adduser -S -H -h /var/lib/haproxy -s /bin/false -D \
+	-G haproxy haproxy 2>/dev/null
+
+# move config to new location
+if [ -e /etc/haproxy.cfg ] && ! [ -e /etc/haproxy/haproxy.cfg ]; then
+	mkdir -p /etc/haproxy
+	mv /etc/haproxy.cfg /etc/haproxy/haproxy.cfg
+fi
+
diff --git a/main/haproxy/haproxy.pre-upgrade b/main/haproxy/haproxy.pre-upgrade
index bb1249f..33e0164 100644
--- a/main/haproxy/haproxy.pre-upgrade
+++ b/main/haproxy/haproxy.pre-upgrade
_at_@ -1,7 +1,7 @@
 #!/bin/sh
 
 addgroup haproxy 2>/dev/null
-adduser -S -H -h /var/lib/haproxy -s /sbin/nologin -D \
+adduser -S -H -h /var/lib/haproxy -s /bin/false -D \
 	-G haproxy haproxy 2>/dev/null
 
 # move config to new location
diff --git a/testing/haproxy/APKBUILD b/testing/haproxy/APKBUILD
deleted file mode 100644
index 86be5e9..0000000
--- a/testing/haproxy/APKBUILD
+++ /dev/null
_at_@ -1,40 +0,0 @@
-# Contributor: Jeff Bilyk <jbilyk_at_gmail.com>
-# Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
-pkgname=haproxy
-pkgver=1.5.10
-pkgrel=0
-pkgdesc="A TCP/HTTP reverse proxy for high availability environments"
-url="http://haproxy.1wt.eu"
-arch="all"
-license="GPL"
-depends=""
-makedepends="pcre-dev openssl-dev linux-headers"
-install="haproxy.pre-install haproxy.pre-upgrade"
-subpackages="$pkgname-doc"
-source="http://haproxy.1wt.eu/download/1.5/src/$pkgname-$pkgver.tar.gz
-	haproxy.initd
-	haproxy.cfg"
-
-build() {
-	cd "$srcdir/$pkgname-$pkgver"
-	make TARGET=linux2628 USE_PCRE=1 USE_OPENSSL=1 CFLAGS="$CFLAGS" || return 1
-}
-
-package() {
-	cd "$srcdir/$pkgname-$pkgver"
-	make DESTDIR="$pkgdir" PREFIX=/usr DOCDIR=/usr/share/doc/haproxy \
-		install
-	install -d "$pkgdir"/var/lib/haproxy
-	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
-	install -m644 -D "$srcdir"/haproxy.cfg "$pkgdir"/etc/haproxy/haproxy.cfg
-}
-
-md5sums="5631457ea1f84b3c0d8e5bc8015ed329  haproxy-1.5.10.tar.gz
-81319456a35408bf47443e9c314d2e94  haproxy.initd
-463f00b30bfb002750d5c5549382365f  haproxy.cfg"
-sha256sums="090264c834477c290f6ad6da558731d50aede0800996742d15e870b9947fe517  haproxy-1.5.10.tar.gz
-d0b91b3566768c40cfeb3b304d66728111d9b97d5c149d88589371c1bc4c6ba0  haproxy.initd
-7e3c03acb9a41e21e21059da609e694e6dd952d9a37297bd39cad37680af213f  haproxy.cfg"
-sha512sums="d15aaca4be6d8b41a691509042728d6aaa177075f2c3ff783d91cc02150a0d7985863c2f0c19c5df20461fdf2c95eaca67031ed37992e75ac02fb887445308de  haproxy-1.5.10.tar.gz
-cb13279374006b1a6302f865f82defbaa6256aed424fb12da53a9459a1a96c6f9470b8156985a177a13bda4a74e7b0cd448666564f6a59cdeb589537580f4b64  haproxy.initd
-89d1366352af9cc7cb338779341d460606e2e3cfe9e4f7d5169af46680accb07035fab9a4bbb87dfbe383bb146e8e4d1e95a29e3d36ff64e97603a317a0b1b78  haproxy.cfg"
diff --git a/testing/haproxy/haproxy.cfg b/testing/haproxy/haproxy.cfg
deleted file mode 100644
index 6f635e8..0000000
--- a/testing/haproxy/haproxy.cfg
+++ /dev/null
_at_@ -1,86 +0,0 @@
-#---------------------------------------------------------------------
-# Example configuration for a possible web application.  See the
-# full configuration options online.
-#
-#   http://haproxy.1wt.eu/download/1.5/doc/configuration.txt
-#
-#---------------------------------------------------------------------
-
-#---------------------------------------------------------------------
-# Global settings
-#---------------------------------------------------------------------
-global
-    # to have these messages end up in /var/log/haproxy.log you will
-    # need to:
-    #
-    # 1) configure syslog to accept network log events.  This is done
-    #    by adding the '-r' option to the SYSLOGD_OPTIONS in
-    #    /etc/sysconfig/syslog
-    #
-    # 2) configure local2 events to go to the /var/log/haproxy.log
-    #   file. A line like the following can be added to
-    #   /etc/sysconfig/syslog
-    #
-    #    local2.*                       /var/log/haproxy.log
-    #
-    log         127.0.0.1 local2
-
-    chroot      /var/lib/haproxy
-    pidfile     /var/run/haproxy.pid
-    maxconn     4000
-    user        haproxy
-    group       haproxy
-    daemon
-
-    # turn on stats unix socket
-    stats socket /var/lib/haproxy/stats
-
-#---------------------------------------------------------------------
-# common defaults that all the 'listen' and 'backend' sections will
-# use if not designated in their block
-#---------------------------------------------------------------------
-defaults
-    mode                    http
-    log                     global
-    option                  httplog
-    option                  dontlognull
-    option http-server-close
-    option forwardfor       except 127.0.0.0/8
-    option                  redispatch
-    retries                 3
-    timeout http-request    10s
-    timeout queue           1m
-    timeout connect         10s
-    timeout client          1m
-    timeout server          1m
-    timeout http-keep-alive 10s
-    timeout check           10s
-    maxconn                 3000
-
-#---------------------------------------------------------------------
-# main frontend which proxys to the backends
-#---------------------------------------------------------------------
-frontend  main *:5000
-    acl url_static       path_beg       -i /static /images /javascript /stylesheets
-    acl url_static       path_end       -i .jpg .gif .png .css .js
-
-    use_backend static          if url_static
-    default_backend             app
-
-#---------------------------------------------------------------------
-# static backend for serving up images, stylesheets and such
-#---------------------------------------------------------------------
-backend static
-    balance     roundrobin
-    server      static 127.0.0.1:4331 check
-
-#---------------------------------------------------------------------
-# round robin balancing between the various backends
-#---------------------------------------------------------------------
-backend app
-    balance     roundrobin
-    server  app1 127.0.0.1:5001 check
-    server  app2 127.0.0.1:5002 check
-    server  app3 127.0.0.1:5003 check
-    server  app4 127.0.0.1:5004 check
-
diff --git a/testing/haproxy/haproxy.initd b/testing/haproxy/haproxy.initd
deleted file mode 100644
index fb1d70e..0000000
--- a/testing/haproxy/haproxy.initd
+++ /dev/null
_at_@ -1,54 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-proxy/haproxy/files/haproxy.initd-r1,v 1.2 2011/12/04 10:32:32 swegener Exp $
-
-extra_commands="checkconfig"
-extra_started_commands="reload"
-command=/usr/sbin/haproxy
-
-CONFFILE=${HAPROXY_CONF:-/etc/haproxy/${SVCNAME}.cfg}
-PIDFILE=/var/run/${SVCNAME}.pid
-
-depend() {
-	need net
-	after firewall
-	use dns logger
-}
-
-checkconfig() {
-	if [ ! -f "${CONFFILE}" ]; then
-		eerror "${CONFFILE} does not exist!"
-		return 1
-	fi
-
-	ebegin "Checking ${CONFFILE}"
-	$command -q -c -f "${CONFFILE}"
-	eend $?
-}
-
-start() {
-	ebegin "Starting ${SVCNAME}"
-	start-stop-daemon --pidfile "${PIDFILE}" --exec $command \
-		--start -- -D -p "${PIDFILE}" -f "${CONFFILE}"
-	eend $?
-}
-
-stop() {
-	ebegin "Stopping ${SVCNAME}"
-
-	if [ "${RC_CMD}" = "restart" ]; then
-		checkconfig || return 1
-	fi
-
-	start-stop-daemon --stop --pidfile "${PIDFILE}"
-	eend $?
-}
-
-reload() {
-	ebegin "Reloading ${SVCNAME}"
-	checkconfig || { eerror "Reloading failed, please fix your ${CONFFILE} first"; return 1; }
-	$command -D -p "${PIDFILE}" -f "${CONFFILE}" -sf $(cat "${PIDFILE}")
-	eend $?
-}
-
diff --git a/testing/haproxy/haproxy.pre-install b/testing/haproxy/haproxy.pre-install
deleted file mode 100644
index 33e0164..0000000
--- a/testing/haproxy/haproxy.pre-install
+++ /dev/null
_at_@ -1,12 +0,0 @@
-#!/bin/sh
-
-addgroup haproxy 2>/dev/null
-adduser -S -H -h /var/lib/haproxy -s /bin/false -D \
-	-G haproxy haproxy 2>/dev/null
-
-# move config to new location
-if [ -e /etc/haproxy.cfg ] && ! [ -e /etc/haproxy/haproxy.cfg ]; then
-	mkdir -p /etc/haproxy
-	mv /etc/haproxy.cfg /etc/haproxy/haproxy.cfg
-fi
-
diff --git a/testing/haproxy/haproxy.pre-upgrade b/testing/haproxy/haproxy.pre-upgrade
deleted file mode 100644
index 33e0164..0000000
--- a/testing/haproxy/haproxy.pre-upgrade
+++ /dev/null
_at_@ -1,12 +0,0 @@
-#!/bin/sh
-
-addgroup haproxy 2>/dev/null
-adduser -S -H -h /var/lib/haproxy -s /bin/false -D \
-	-G haproxy haproxy 2>/dev/null
-
-# move config to new location
-if [ -e /etc/haproxy.cfg ] && ! [ -e /etc/haproxy/haproxy.cfg ]; then
-	mkdir -p /etc/haproxy
-	mv /etc/haproxy.cfg /etc/haproxy/haproxy.cfg
-fi
-
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Feb 12 2015 - 20:12:05 GMT